%define major	1
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	GNOME control center
Name:		gnome-control-center
Version:	3.12.1
Release:	6
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/softwaremap/projects/control-center/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.12/%{name}-%{version}.tar.xz
Patch0:         lv3-typo-default-layout.patch
Patch1:		gnome-control-center-3.12.1-fontconfig.patch
###Patch2:		rosa-additional-items.patch
###Patch3:		power-critical-upoweroff.patch
Patch4:		gcc-increase-field-for-long-Russian-words.patch
##Patch5:     gnome-control-center-3.8.4.1-password-strength.patch
##Patch6:     gnome-control-center-3.8.4.1-change-own-password-without-root.patch
#Patch7:     gnome-control-center-3.8.4.1-scrollbar.patch
###Patch8:		gnome-control-center-3.8.6-drop-background-test-chooser-dialog.patch

BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	intltool
BuildRequires:	shared-mime-info
BuildRequires:	cups-devel
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(cheese-gtk) >= 2.91.91.1
BuildRequires:  pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(colord) >= 0.1.25
BuildRequires:	pkgconfig(colord-gtk) >= 0.1.25
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gnome-bluetooth-1.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.0
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.3.91
BuildRequires:	pkgconfig(goa-backend-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	iso-codes-devel
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(pwquality)
BuildRequires:	pkgconfig(accountsservice)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.13
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.91
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.91
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libnm-glib) >= 0.8.992
BuildRequires:	pkgconfig(libnm-glib-vpn) => 0.8.992
BuildRequires:	pkgconfig(libnm-util) >= 0.8.992
BuildRequires:	pkgconfig(libnm-gtk) >= 0.8.992
BuildRequires:	pkgconfig(libnotify) >= 0.7.3
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(libxklavier) >= 5.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(NetworkManager) >= 0.8.992
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xxf86misc)
BuildRequires:	pkgconfig(xi) >= 1.2
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(grilo-0.2)

BuildRequires:	docbook-style-xsl

Requires: gnome-settings-daemon >= 2.21.5
Requires: cups-pk-helper
Requires(post,postun): shared-mime-info desktop-file-utils

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

%package -n %{develname}
Summary:	Development libraries, include files for GNOME control center
Group:		Development/GNOME and GTK+
Obsoletes:	%{_lib}gnome-window-settings-devel

%description -n %{develname}
Development libraries, include files for GNOME Control Center

%prep
%setup -q
%apply_patches

%build

%configure2_5x \
	--disable-static

%make V=1

%install
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} \;
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%{find_lang} %{name}-2.0 --with-gnome --all-name

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--remove-category="PersonalSettings" \
	--add-category="X-MandrivaLinux-System-Configuration-GNOME" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}-2.0.lang
%doc AUTHORS NEWS README
%{_bindir}/gnome-control-center
%{_libexecdir}/gnome-control-center-search-provider
%{_libdir}/cc-remote-login-helper
%{_datadir}/applications/*
%{_datadir}/gnome-control-center/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/sounds/gnome/default/*
%{_datadir}/pixmaps
%{_datadir}/dbus-1/services/*
%{_datadir}/bash-completion/*
%{_datadir}/gnome-shell
%{_mandir}/man?/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/polkit-1/rules.d/*.rules

%files -n %{develname}
%{_datadir}/pkgconfig/*

%changelog
* Fri Sep 12 2014 Tigro <ashejn@gmail.com> 3.12.1-6
+ Revision: 6dd9b17
- rebuilt against new modemmanager

* Wed Aug 13 2014 Tigro <ashejn@gmail.com> 3.12.1-5
+ Revision: 73779b9
- bump release

* Wed Aug 13 2014 Tigro <ashejn@gmail.com> 3.12.1-4
+ Revision: 64a8b45
- increase size

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.1-4
+ Revision: 6c53bef
- MassBuild#440: Increase release tag

* Mon Jun 16 2014 Tigro <ashejn@gmail.com> 3.12.1-3
+ Revision: b27e023
- bump release to build against new colord

* Tue May 27 2014 Tigro <ashejn@gmail.com> 3.12.1-2
+ Revision: f350a73
- apply gcc-increase-field-for-long-Russian-words.patch patch

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: 67786ec
- added BR: grilo-0.2

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: ae7a09c
- drop obsolete configure

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: e2e60df
- drop patch

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: d25f09e
- update field patch

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: c6e8c4b
- update patches

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: 8f186fd
- update fontconfig patch

* Wed Apr 30 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: 7372a41
- update to 3.12.1

* Wed Mar 12 2014 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.6-2
+ Revision: a5a0d6b
- Added icon for drakxservices

* Thu Feb 13 2014 akdengi <kazancas@mandriva.ru> 3.8.6-1
+ Revision: ff1db4d
- Update to 3.8.6

* Thu Feb 13 2014 akdengi <alexander.kazancev@rosalab.ru> 3.8.4.1-9
+ Revision: e29daae
- use logind instead upower when battery power crytical

* Fri Jan 17 2014 akdengi <kazancas@mandriva.ru> 3.8.4.1-8
+ Revision: 46d44cd
- disable upower patch

* Fri Nov 22 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.4.1-7
+ Revision: 86161f5
- Increased width for scrollbar

* Fri Nov 22 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.4.1-6
+ Revision: 760c472
- Fixed appearing scrollbar in VirtualBox

* Fri Nov 22 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.4.1-6
+ Revision: 7e4f4d0
- Allow change own password without root privileges

* Fri Nov 22 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.4.1-6
+ Revision: 5fbcef5
- Added patch to disable the ban passwords with less strength

* Fri Nov 15 2013 Tigro <ashejn@gmail.com> 3.8.4.1-6
+ Revision: 3d27f43
- bump release

* Fri Nov 15 2013 Tigro <ashejn@gmail.com> 3.8.4.1-5
+ Revision: 7974251
- move item to Personal

* Wed Nov 06 2013 Arkady Shane <ashejn@gmail.com> 3.8.4.1-5
+ Revision: 8f3e802
- bump release

* Wed Nov 06 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 3.8.4.1-4
+ Revision: a438fc4
- Fix: Increases the width of the text box for the long Russian words that
- were not previously included in full.

* Mon Oct 14 2013 akdengi <alexander.kazancev@rosalab.ru> 3.8.4.1-4
+ Revision: 09c86ee
- fix power menu for critical energy with no using upower

* Thu Sep 26 2013 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.4.1-3
+ Revision: 33a7a27
- Added forgoten patch

* Thu Sep 26 2013 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.4.1-3
+ Revision: ef71796
- Added patch with Rosa Software Center and Gnome Tweak Tool launch icons.

* Wed Aug 28 2013 Tigro <ashejn@gmail.com> 3.8.4.1-2
+ Revision: c00b476
- fix translation

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4.1-1
+ Revision: 6377f44
- update to 3.8.4.1


